<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_PROJECT_CREDIT_NOTE_INQ';
if (!@$_GET['popup'])
	$path_to_root = "../..";
else	
	$path_to_root = "..";

include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/inventory.inc");
include_once($path_to_root . "/includes/data_checks.inc");
include_once($path_to_root . "/projects/includes/db/project_credit_notes_inquiry_db.inc");

$js = '';

if ($SysPrefs->use_popup_windows) {
	$js .= get_js_open_window(900, 500);
}

if (user_use_date_picker()) {
	$js .= get_js_date_picker();
}

page($help_context = "Project Credit Note Inquiry", false, false, "", $js);

//---------------------------------------------------------------------------------------------

simple_page_mode(true);

if (isset($_GET['order_no']))
{
    $_POST['order_no'] = $_GET['order_no'];
}


if (isset($_GET['project_id']))
{
	$_POST['project_id'] = $_GET['project_id'];
}
if (isset($_GET['from_date']))
{
	$_POST['from_date'] = $_GET['from_date'];
}
if (isset($_GET['to_date']))
{
	$_POST['to_date'] = $_GET['to_date'];
}



function selected_id($row)
{
    return get_project_trans_view_str(ST_PROJECT_CREDIT_NOTE, $row['order_no']);  
}

function project_description($row)
{
    return $row['project_description'];
}

function customer_name($row)
{
    return $row['customer_name'];
}

function branch_name($row)
{
    return $row['branch_name'];
}

function reference($row)
{
    return $row['reference'];
}

function order_date($row)
{
   return sql2date($row['ord_date']);
}


function approval_status($row)
{
    global $approval_statuses;
    return $approval_statuses[$row["approval_status"]];
}

function project_invoice($row)
{
    if($row['project_invoice_id'] > 0){       
        return $row['pi_selected_id']." - ".$row['pi_reference']." - ".sql2date($row['pi_order_date'])." - ".$row['pi_total'];
    }else{
        null;
    }
}


function edit_link($row) 
{
    if (@$_GET['popup'])
            return '';
   // global $trans_type;
    $modify = "PCN_No";

    if($row['approval_status'] == AS_NEW || $row['approval_status'] == AS_WITH_THE_APPROVER || 
            $row['approval_status'] == AS_BACK_TO_ORIGINATOR || $row['approval_status'] == AS_AWAITING_APPROVAL){
        return pager_link(_("Edit"), "/projects/project_credit_notes.php?$modify=".$row['order_no'], ICON_EDIT);
    }else{
        return null;  
    }
}

//--------------------------------------------------------------------------------------------------


if ($Mode == 'RESET')
{
    $selected_id = -1;
}

if (isset($_POST['_selected_id_update']) )
{
	$selected_id = $_POST['selected_id'];
	//$Ajax->activate('_page_body');
}

//if (list_updated('employee_code')) 
	$Ajax->activate('_page_body');
//--------------------------------------------------------------------------------------------------

if (!@$_GET['popup'])
	start_form();
start_table();
    start_row();
        ref_cells("ID:", 'selected_id');
        ref_cells("Reference:", 'reference');
        project_list_cells(_("Project:"), 'project_id', null, _('Select a project'), true);     
    end_row();
    
    
    start_row();
        customer_list_cells("Customer:", 'customer_id', null, 'Select a Customer', true);
        ref_cells("Project Invoice ID:", 'invoice_id');
    end_row();
    
    start_row();
        date_cells(_("From:"), 'from_date', '', null, -30);
        date_cells(_("To:"), 'to_date');
        
        submit_cells('SearchOrders', _("Search"),'',_('Search'), 'default');

    end_row();        
     

    end_row();
end_table(1);

//---------------------------------------------------------------------------------------------

$project_id = "";
if(isset($_POST['project_id'])){
  $project_id = $_POST['project_id'];
}

$selected_id = "";
if(isset($_POST['selected_id'])){
  $selected_id = $_POST['selected_id'];
}

$from_date = "";
if(isset($_POST['from_date'])){
  $from_date = $_POST['from_date'];
}

$to_date = "";
if(isset($_POST['to_date'])){
  $to_date = $_POST['to_date'];
}

$reference = "";
if(isset($_POST['reference'])){
  $reference = $_POST['reference'];
}

$customer_id = "";
if(isset($_POST['customer_id'])){
  $customer_id = $_POST['customer_id'];
}

$p_invoice_id = "";
if(isset($_POST['invoice_id'])){
  $p_invoice_id = $_POST['invoice_id'];
}



    $sql = get_sql_for_project_credit_note_inquiry($project_id, $selected_id, 
                                                    $from_date, $to_date, $reference,
                                                    $customer_id, $p_invoice_id);    
    
    $cols = array(_("ID")=> array('fun'=>'selected_id'),
                _("Reference")=>array('fun'=>'reference','align'=>'center'),   
                _("Project")=> array('fun'=>'project_description'),
                _("Customer")=> array('fun'=>'customer_name','align'=>'center'),
                _("Branch")=> array('fun'=>'branch_name','align'=>'center'),          
                _("Order Date")=>array('fun'=>'order_date','align'=>'center'),                         
                _("Project Invoice")=>array('fun'=>'project_invoice','align'=>'center'),
                _("Status")=>array('fun'=>'approval_status','align'=>'center'),
               
            );
    
        array_append($cols, array(         
            array('insert'=>true, 'fun'=>'edit_link')));

//---------------------------------------------------------------------------------------------------

$table =& new_db_pager('orders_tbl', $sql, $cols, null, null);

$table->width = "90%";

display_db_pager($table);

br();

if (!@$_GET['popup'])
{
    end_form();
    end_page();
}	


?>
